Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.applet
Class AppletContextImpl

    java.lang.Object
      |
      +--com.objexcel.applet.AppletContextImpl

public final class AppletContextImpl
extends java.lang.Object
implements java.applet.AppletContext

AppletContextImpl implements the interface required to host applets with an application

Field Summary
`static java.lang.String` | `ALIGN`
`static java.lang.String` | `ALT`
`static java.lang.String` | `CODE`
`static java.lang.String` | `CODEBASE`
`static java.lang.String` | `HEIGHT`
`static java.lang.String` | `HSPACE`
`static java.lang.String` | `NAME`
`static java.lang.String` | `VSPACE`
`static java.lang.String` | `WIDTH`

Constructor Summary
`AppletContextImpl()`

Method Summary
`void` | `addApplet(java.applet.Applet a)`
`java.applet.Applet` | `getApplet(java.lang.String name)`
`java.util.Enumeration` | `getApplets()`
`java.applet.AudioClip` | `getAudioClip(java.net.URL url)`
`java.awt.Image` | `getImage(java.net.URL url)`
`static AppletContextImpl` | `getInstance()`
`void` | `removeApplet(java.applet.Applet a)`
`void` | `showDocument(java.net.URL url)`
`void` | `showDocument(java.net.URL url, java.lang.String target)`
`void` | `showStatus(java.lang.String status)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODEBASE

    public static final java.lang.String CODEBASE

### CODE

    public static final java.lang.String CODE

### ALT

    public static final java.lang.String ALT

### NAME

    public static final java.lang.String NAME

### WIDTH

    public static final java.lang.String WIDTH

### HEIGHT

    public static final java.lang.String HEIGHT

### ALIGN

    public static final java.lang.String ALIGN

### VSPACE

    public static final java.lang.String VSPACE

### HSPACE

    public static final java.lang.String HSPACE

Constructor Detail

### AppletContextImpl

    public AppletContextImpl()

Method Detail

### getInstance

    public static AppletContextImpl getInstance()

### addApplet

    public void addApplet(java.applet.Applet a)

### removeApplet

    public void removeApplet(java.applet.Applet a)

### getAudioClip

    public java.applet.AudioClip getAudioClip(java.net.URL url)

  Specified by:
    getAudioClip in interface java.applet.AppletContext

### getImage

    public java.awt.Image getImage(java.net.URL url)

  Specified by:
    getImage in interface java.applet.AppletContext

### getApplet

    public java.applet.Applet getApplet(java.lang.String name)

  Specified by:
    getApplet in interface java.applet.AppletContext

### getApplets

    public java.util.Enumeration getApplets()

  Specified by:
    getApplets in interface java.applet.AppletContext

### showDocument

    public void showDocument(java.net.URL url)

  Specified by:
    showDocument in interface java.applet.AppletContext

### showDocument

    public void showDocument(java.net.URL url,
                             java.lang.String target)

  Specified by:
    showDocument in interface java.applet.AppletContext

### showStatus

    public void showStatus(java.lang.String status)

  Specified by:
    showStatus in interface java.applet.AppletContext

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD